# Tests are disabled because they do not fail gracefully when there is no
# internet access—they fail in Koji.
%global run_tests 0

# Don't duplicate the same documentation
%global _docdir_fmt %{name}

%global srcname tweepy

Name:           %{srcname}
Version:        3.5.0
Release:        5%{?dist}
Summary:        An easy-to-use Python library for accessing the Twitter API
Source0:        https://github.com/%{srcname}/%{srcname}/archive/v%{version}.tar.gz
License:        MIT
Group:          Development/Libraries
URL:            http://www.tweepy.org
BuildArch:      noarch

%global _description \
Tweepy is a Twitter and Identi.ca library for Python that\
can be used in desktop and web applications. It has the\
following features: OAuth support, Covers the entire Twitter\
API, Streaming API support, Cache system (memory, file),\
Easy to use.

%description %{_description}


%package -n python2-%{srcname}
Summary:       %{summary}
Obsoletes:      %{srcname} < 3.5.0-1
Provides:       %{srcname} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-simplejson

%if 0%{?run_tests}
# For testsuite
BuildRequires:  python-tox >= 1.7.2
BuildRequires:  python-vcrpy >= 1.1.2
BuildRequires:  python-mock >= 1.0.1
BuildRequires:  python-requests-oauthlib >= 0.4.1
BuildRequires:  python-unittest2
%endif

Requires:       python-simplejson
Requires:       python-requests-oauthlib >= 0.4.1
Requires:       python2-six >= 1.7.3

%description -n python2-%{srcname} %{_description}

Python 2 version.


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-simplejson

%if 0%{?run_tests}
# For testsuite
BuildRequires:  python3-tox >= 1.7.2
BuildRequires:  python3-vcrpy >= 1.1.2
BuildRequires:  python3-mock >= 1.0.1
BuildRequires:  python3-requests-oauthlib >= 0.4.1
%endif

Requires:       python3-simplejson
Requires:       python3-requests-oauthlib >= 0.4.1
Requires:       python3-six >= 1.7.3

%description -n python3-%{srcname} %{_description}

Python 3 version.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install

rm -r %{buildroot}%{python2_sitelib}/examples
rm -r %{buildroot}%{python3_sitelib}/examples


%check
%if 0%{?run_tests}
%{__python2} setup.py test
# Running the Python 3 test suite requires a valid set of Twitter API
# credentials in tests/config.py
%{__python3} setup.py test
%endif


%files -n python2-%{srcname}
%doc examples/
%doc docs/*.rst
%doc README.md CONTRIBUTORS CHANGELOG.md
%license LICENSE
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-*.egg-info/

%files -n python3-%{srcname}
%doc examples/
%doc docs/*.rst
%doc README.md CONTRIBUTORS CHANGELOG.md
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.5.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu May 19 2016 Tomas Orsava <torsava@redhat.com> - 3.5.0-1
- Most of these changes are by Philip Worrall <philip.worrall@googlemail.com>
- Moderize spec
- Update to new upstream release v3.5.0
- Update link to upstream homepage
- Update link to source tarball, now hosted on github
- Add python3 subpackage
- Add additional dependencies for oauthlib, six and requests
- Package additional RST documentation
- Removed license sources as they are already packaged by upstream
- Update provides and obsoletes tags according to packaging guidelines
- Added the testsuite as optional (disabled by default) because it requires
  internet access

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Eduardo Echeverria <echevemaster@gmail.com> - 2.3.0-1
- Updated to the latest version.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 rtnpro <rtnpro@gmail.com> 2.0-1
- Update to tweepy v2.0

* Mon Feb 21 2011 rtnpro <rtnpro@gmail.com> 1.7.1-3
- Added LICENSE, removed unnecessary macros

* Sat Feb 05 2011 rtnpro <rtnpro@gmail.com> 1.7.1-2
- Some fixes in the SPEC file

* Fri Feb 04 2011 rtnpro <rtnpro@gmail.com> 1.7.1-1
- Intial RPM package for tweepy
